/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			exports: {},
/******/ 			id: moduleId,
/******/ 			loaded: false
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(0);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ function(module, exports) {

	'use strict';
	
	/* globals self */
	var CACHE_NAME = 'next-page-cache-v3';
	
	self.clients.matchAll().then(function (clients) {
	  clients.forEach(function (client) {
	    client.postMessage('The service worker just started up.');
	  });
	});
	
	self.addEventListener('activate', function (event) {
	  // TODO: delete cache, or appropriate parts of the cache
	  self.clients.claim().then(function () {
	    return self.clients.matchAll().then(function (clients) {
	      return Promise.all(clients.map(function (client) {
	        return client.postMessage('The service worker has activated and ' + 'taken control.');
	      }));
	    });
	  });
	});
	
	// Respond to cached resources. Otherwise skip to fetch.
	self.addEventListener('fetch', function (event) {
	  event.respondWith(self.caches.match(event.request).then(function (response) {
	    if (response) return response;
	    return self.fetch(event.request);
	  }));
	});
	
	self.addEventListener('message', function (event) {
	  self.caches.open(CACHE_NAME).then(function (cache) {
	    (function () {
	      switch (event.data.command) {
	        case 'add':
	          var request = new self.Request(event.data.url, { mode: 'no-cors' });
	          self.fetch(request).then(function (res) {
	            cache.put(request, res).then(function () {
	              event.ports[0].postMessage({ error: null });
	            });
	          });
	          break;
	        default:
	          throw new Error('Unknown prefetcher command ' + event.data.command);
	      }
	    })();
	  });
	});


/***/ }
/******/ ]);
//# sourceMappingURL=page-prefetcher.bundle.js.map